Avisos
Vaciar todo

Error al actualizar Joomla  

 
Jose Luis
 Jose Luis
Usuario experto

Tras comentar con un técnico de webempresa sobre el asunto de la actualización de la web que utiliza plantilla Joomla, me ha remitido al foro. El problema es el siguiente: tras un tiempo sin utilizarla la migré a otro hosting (con vuestra ayuda) y al intentar subir contenido a la misma me daba error. Tras consultar en Webempresa me aconsejaron actualizar el php, tenía la versión 5.6 y la actualicé a la 7.0. Tras volver a intentar subir contenido, el problema persistía. De nuevo ante otra consulta me responde que el hosting donde he actualizado el php no es el correcto. Compruebo con asombro que aún sigue activo el hosting anterior del que migré la web, porque la empresa que se hacía cargo del abono de ese plan, había decidido suspender el pago.

Mis preguntas son varias: En primer lugar ¿por qué sigue la página web en el otro hosting cuando ya se migró al mío propio? y segundo, cuando comento el problema que aparece, la respuesta que se me da me resulta casi un idioma de otro planeta, paso a enviar la respuesta en cuestión:

MI PREGUNTA

Hola, Vicente:

He bajado la versión de PHP a 7.0 y me sigue dando error. ¿Puedes indicarme cómo puedo comprobar si los componentes de la web son compatibles con esa versión de PHP?

Gracias.

 

Webempresa: Hosting y Dominios

Enviado el: 03/05/21 8:49 PM

Hola de nuevo,

En la web oficial de cada componente deben aparecer sus compatibilidades

Sin embargo te recomiendo hacer la consulta en el Foro, ahí atienden los expertos en configuraciones CMS y podrán ayudarte con todo el proceso

Veo que tienes cuenta de Foro, por lo que no tendrás problemas para hacer la consulta
---

 
Adjunto también imagen del pantallazo remitido.

 

Pantallazo 2

 

Contenido solo visible a usuarios registrados

Citar
Respondido : 03/05/2021 8:09 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Según se ve en los foro el problema parece ser por PHP, has probado con versiones menores, como PHP 5.5  o 5.4?

Es posible que tu theme o alguna extensión aún funcione con esa versión de PHP

Ref: https://www.joomdev.com/forum/jd-newjersey/851-solved-the-parameter-platforminfo-class-must-be-defined

Saludos.

 

Esta publicación ha sido modificada el hace 4 días por Jhon
ResponderCitar
Respondido : 03/05/2021 8:21 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Jose Luis
 Jose Luis
Usuario experto

@jmarreros

He cambiado los DNS para que la página en cuestión «pastoreoengorbeia.com» se redirigiera al hosting que mantengo activo. La versión de PHP la he vuelto a como estaba, 5.4. El problema es que ahora no me permite entrar en el dashboard porque no reconoce la contraseña. He intentado acceder a través de phpMyAdmin, pero no tengo claro cual es la base de datos que corresponde a esta web puesto que no pone el nombre en la misma.

Agradecería pudieran indicarme cómo proceder, gracias.

ResponderCitar
Respondido : 04/05/2021 5:46 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Ubica el archivo configuration.php de tu Joomla, puedes usar el Administrador de Archivos de tu Cpanel para ubicar este archivo y ver su contenido.

En este archivo estan los datos de conexión, busca algo similar a la siguiente línea en donde xxxxx será el nombre de tu BD

public $db = 'xxxxx';

Saludos.

ResponderCitar
Respondido : 04/05/2021 6:00 pm

Cursos Gratuitos WordPress

Jose Luis
 Jose Luis
Usuario experto

@jmarreros

Hola de nuevo. He accedido al administrador de archivos y a la base de datos pastoreoengorbeia.com pero no encuentro el archivo que mencionas.

ResponderCitar
Respondido : 04/05/2021 6:20 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Debes estar en una ruta incorrecta, envíanos una captura de pantalla para ver en donde estas buscando.

Revisa si tu dominio apunta efectivamente a esa carpeta.

El configuration.php es un archivo que esta en la raíz junto con el resto de archivos y carpetas de Joomla.

Saludos.

ResponderCitar
Respondido : 04/05/2021 6:28 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Jose Luis
 Jose Luis
Usuario experto

Hola de nuevo, Jhon,

Te adjunto documento en el que he organizado los pantallazos en orden de cómo he procedido y en el lugar donde aparecen interrogaciones quiero decir que no encuentro lo que tú me indicas.

 

ResponderCitar
Respondido : 04/05/2021 7:10 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola Jose Luis,

Efectivamente los pasos son correcto, en tus capturas puedes ver el nombre de tu base de datos. Estas es la que tienes que ubicar a traces de phpMyAdmin.

Si ingresas a tu archivo configuration.php puedes ver cual es tu base de datos sobre la linea que indique public $db

Screenshot
imagen

Verifica esto y nos comentas

Un Saludo

ResponderCitar
Respondido : 04/05/2021 7:24 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Jose Luis
 Jose Luis
Usuario experto

@karen

Perfecto, Karen, localizado y ya puedo acceder al dashboard. Pero sigo sin poder subir contenido. Me aparece que he de actualizar y no sé bien cómo he de hacerlo. Agradecería tus indicaciones.

Imagen1

 

ResponderCitar
Respondido : 04/05/2021 7:35 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola Jose Luis,

En este caso que error te muestra al intentar subir contenido en tu sitio web? si es posible envíanos una captura con el error que se muestra al intentar subir algún contenido, de igual forma antes de realizar la actualización verifica tu plantilla y los complementos que usas sean compatibles con la versión 3.9 de Joomla de esta forma puedes estar seguro no se genere ningún error

Un Saludo

ResponderCitar
Respondido : 04/05/2021 7:45 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Jose Luis
 Jose Luis
Usuario experto

@karen

Te remito dos pantallazos. La imagen 3 corresponde al error en cuestión. La imagen 2 corresponde a 9 actualizaciones de extensión que aparecen como que están disponibles.

En este caso, no sé cómo he de proceder para actualizarlas.

Imagen3
Imagen2

 

ResponderCitar
Respondido : 04/05/2021 7:55 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

No podrás actualizar porque tu versión de PHP es muy baja, simplemente la bajaste para poder ingresar, tendrías que ir descativando extensiones y temas que no sean compatibles, cambia y usa un tema por defecto y con respecto a extensiones ve desactivando.

Luego cambia la verisón de PHP a la 7.2 y verifica si puedes ingresar correctamente, a partir de allí podrías probar ir actualizando y activando hasta detectar qué te causaba el problema.

Saludos.

ResponderCitar
Respondido : 04/05/2021 8:57 pm

Cursos Gratuitos WordPress